Enneo

Tag

Detect a Tag

POST /tag/{id}/detect

POST /tag/{id}/detect

Path parameters

idintegerpathrequired

No description.

Request body

ticketIdintegerbody

The id of the ticket against which to compare the intent examples

testTagsobject[]body

The tags to test against

dataobjectbody

Additional data to be used for the detection

Request Example

{
  "ticketId": 1,
  "testTags": [
    {
      "id": 123,
      "name": "Complaint",
      "fullName": "Second Level: Complaint",
      "parent": 6,
      "reference": "ticket",
      "type": "skill",
      "visibility": "public",
      "color": "grey",
      "properties": [],
      "complexity": "moderate",
      "sla": 8,
      "priority": "do-not-change",
      "channels": [
        "email",
        "chat"
      ],
      "subchannels": [
        2,
        4
      ],
      "routingRelevance": true,
      "detectionDetails": null,
      "assignment": [
        "assignBySubchannel",
        "assignByCustomLogic"
      ],
      "testCase": null,
      "modifiedBy": "John Doe",
      "modifiedAt": "2024-08-29 14:38:12"
    }
  ],
  "data": null
}

Responses

200 — Successful operation

Response Example

{
  "match": true,
  "dataOutcome": null
}

403 — Unauthorized

404 — Tag not found

500 — Internal error